<?php

require_once "db.class.php";
require_once 'rangos.php';

if(!function_exists('str_ireplace')) {
     
        function str_ireplace($search,$replace,$subject) { 
                 
                 $search = preg_quote($search, "/"); 
                 return preg_replace("/".$search."/i", $replace, $subject); 
        } 
} 
     
function resaltar($palabra, $texto) {
     
        $aux=$reemp=str_ireplace($palabra,'%s',$texto); 
        $veces=substr_count($reemp,'%s'); 
        
        if($veces==0)
           return $texto; 
        
        $palabras_originales=array();
         
        for($i=0;$i<$veces;$i++){ 
              $palabras_originales[]='<font color = "RED">'.substr($texto,strpos($aux,'%s'),strlen($palabra)).'</font>'; 
              $aux=substr($aux,0,strpos($aux,'%s')).$palabra.substr($aux,strlen(substr($aux,0,strpos($aux,'%s')))+2); 
        }
         
        return vsprintf($reemp,$palabras_originales); 
}  

//=============================================================================
if ($_POST['accion']=='desempeno'){

   $nota = $_POST['nota'];

   echo calculardef($nota);
}  

//=============================================================================
if ($_POST['accion']=='mostrar_folio'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    
   $codigo = $_POST['codigo'];   
   $anolectivo=$_POST['anolectivo'];
   $grado=$_POST['grado'];
   $curso=$_POST['curso'];
     
   $query = $obj->consulta("SELECT * FROM notas_alumno WHERE alumno='".$codigo."' AND anolectivo=".$anolectivo." AND grado='".$grado."' AND curso='".$curso."'");

    $n=$obj->numero_de_filas($query);

    if ($n==1){

        $row = $obj->fetch_assoc($query);
        echo $row['folio']."*".$row['imagen'];
    }
    else
        echo "no";

    $obj->disconnect();  
           
}

//-----------------------------------------------------------


if ($_POST['accion']=='mostrar_nombres'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    
    $codigo = $_POST['codigo'];
    $anolectivo  = $_POST['anolectivo'];
    $grado = $_POST['grado'];
    $curso  = $_POST['curso'];    
     
    $resultado=$obj->consulta("SELECT * FROM alumnos_cursos where codigo='".$codigo."' and anolectivo='".$anolectivo."' and grado='".$grado."' and curso='".$curso."'");


    $n=$obj->numero_de_filas($resultado);

    if ($n==1){

        $row = $obj->fetch_assoc($resultado);
        echo $row['p_apellido']."*".$row['s_apellido']."*".$row['p_nombre']."*".$row['s_nombre'];
    }
    else
        echo "no";

    $obj->disconnect();  
           
}


//-----------------------------------------------------------


if ($_POST['accion']=='incremento_automatico'){

    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    
    $codigo = $_POST['codigo'];
    $anolectivo  = $_POST['anolectivo'];
    $grado = $_POST['grado'];
    $curso  = $_POST['curso'];    
     
    $resultado=$obj->consulta("SELECT * FROM alumnos_cursos where codigo='".$codigo."' and anolectivo='".$anolectivo."' and grado='".$grado."' and curso='".$curso."'");
    $row = $obj->fetch_assoc($resultado);

    
    $resul=$obj->consulta("SELECT * FROM alumnos_cursos where anolectivo='".$anolectivo."' and grado='".$grado."' and curso='".$curso."' and orden=".($row['orden']+1));
      
    $n=$obj->numero_de_filas($resul);

    if ($n==1){

        $row1 = $obj->fetch_assoc($resul);
        echo $row1['codigo']."/".$row1['p_apellido']."/".$row1['s_apellido']."/".$row1['p_nombre']."/".$row1['s_nombre'];
    }
    else
        echo "0";

    $obj->disconnect();  
           
}

//-----------------------------------------------------------


if ($_POST['accion']=='mostrar_datos'){

  


    $obj = new database();

    $obj->conectar();
    $obj->consulta("set names 'utf8'");
    
    if (!isset($_SESSION)) { session_start(); } 
    
    $resultado=$obj->consulta("SELECT * from parametros WHERE anolectivo=".$_SESSION['ANOLECTIVO']." AND jornada='".$_SESSION['JORNADA']."'");

    $n=$obj->numero_de_filas($resultado);

    if ($n==1){

        $row = $obj->fetch_assoc($resultado);
        
        $query1=$obj->consulta("SELECT * FROM grados where codigo='".$row['grado']."'");
        $row1 = $obj->fetch_assoc($query1);

        $query2=$obj->consulta("SELECT * FROM cursos where anolectivo=".$row['anolectivo']." and grado='".$row['grado']."' and codigo='".$row['curso']."'");
        $row2 = $obj->fetch_assoc($query2);        

        $query3=$obj->consulta("SELECT * FROM rectores where codigo='".$row['rector']."'");
        $row3 = $obj->fetch_assoc($query3);

        $query4=$obj->consulta("SELECT * FROM secretarias where codigo='".$row['secretaria']."'");
        $row4 = $obj->fetch_assoc($query4); 
        
        echo $row['anolectivo']."*".$row['grado']."*".$row1['descripcion']."*".$row['curso']."*".$row2['descripcion']."*".$row['rector']."*".$row3['descripcion']."*".$row['secretaria']."*".$row4['descripcion']."*".$row['valoracion'];
    }
    else
        echo "no";

     $obj->disconnect();
 
           
}


//-----------------------------------------------------------

if ($_POST['accion']=='codigo_asignaturas'){

    $anolectivo=$_REQUEST['anolectivo'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];

    $obj = new database();
    $obj->conectar();
    $obj->consulta("set names 'utf8'");
        
    $query=$obj->consulta("SELECT * FROM asignaturas_cursos WHERE anolectivo=".$anolectivo." AND grado='".$grado."' AND curso='".$curso."' order by orden");
        
          
    while($row = $obj->fetch_assoc($query)){
    
         $cadena.=$row['asignatura']."/";
    }
    
    echo $cadena;
 
    $obj->disconnect(); 
}



//-----------------------------------------------------------

if ($_POST['accion']=='mostrar_asigaturas'){

        $obj = new database();
        $obj->conectar();
        $obj->consulta("set names 'utf8'");
        
        $anolectivo=$_REQUEST['anolectivo'];
        $grado=$_REQUEST['grado'];
        $curso=$_REQUEST['curso'];

      
        $cadena="<center><br><table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='60%'>";
                
        $cadena.="<tr style='font-size: 12px;' align='center'>";
        $cadena.="<td><b>No.</b></td>";
        $cadena.="<td><b>C&Oacute;DIGO</b></td>";
        $cadena.="<td><b>ASIGNATURA</b></td>";
        $cadena.="<td><b>NOTA</b></td>";
        $cadena.="<td><b>VALORACI&Oacute;N</b></td>";
        //$cadena.="<td colspan='2'><b>GRABAR</b></td>";              
        $cadena.="</tr>";

        $query=$obj->consulta("SELECT * FROM asignaturas_cursos WHERE anolectivo=".$anolectivo." AND grado='".$grado."' AND curso='".$curso."' order by orden");
        
       if (!isset($_SESSION)) { session_start(); }         
        $query1=$obj->consulta("SELECT * FROM parametros WHERE anolectivo=".$_SESSION['ANOLECTIVO']." AND jornada='".$_SESSION['JORNADA']."'");

        $row1 = $obj->fetch_assoc($query1);        
        
        $i=1;  
        while($row = $obj->fetch_assoc($query)){

              $cadena.="<tr>";
              $cadena.="<td style='font-weight:bold;font-size: 10px;' align=center >".$i++."</td>";              
              $cadena.="<td align=center ><INPUT  class='round' style='text-align:center;font-weight:bold;font-size:12px;background:#BBE9EE' VALUE='".$row['asignatura']."' TYPE='TEXT' ID='COD_".$row['asignatura']."' SIZE='5' readonly='readonly' ></td>";
              $cadena.="<td ><INPUT  class='round' style='font-weight:bold;font-size:12px;background:#BBE9EE' VALUE='".$row['nombre_asignatura']."' TYPE='TEXT' ID='ASIGN_".$row['asignatura']."' SIZE='53' readonly='readonly' ></td>";
              $cadena.="<td align=center ><INPUT  class='round' style='font-weight:bold;font-size: 12px;text-align:center;' VALUE='".$row1['nota']."' TYPE='TEXT' ID='DEF_".$row['asignatura']."' SIZE='7' onclick=\"abrir_dialog('DEF_".$row['asignatura']."');\" onblur=\"nivel_desempeno('".$row['asignatura']."');\"></td>";            
              $cadena.="<td align=center ><INPUT  class='round' style='font-weight:bold;font-size: 12px;text-align:center;' VALUE='".$row1['valoracion']."' TYPE='TEXT' ID='NOTA_".$row['asignatura']."' SIZE='7' onclick=\"abrir_dialog('NOTA_".$row['asignatura']."');\"></td>";
             
             // $cadena.="<td  align='center'> <img id='elemento1' src='imagenes/diskette.jpg' onClick='grabar_notas_alumno(".$row['asignatura'].",1)' height='20' width='20' alt='Grabar' title='Grabar'></td>";
             // $cadena.="<td  align='center'><input id='CHE_".$row['asignatura']."' type='checkbox' onclick='this.checked=!this.checked'></td>";
              $cadena.="</tr>"; 
        }

        //------ Observacion -----------
        
        $cadena.="<td  style='font-weight:bold;font-size:12px' colspan='5'>
                  <b>Observaci&oacute;n</b>
                  <INPUT  class='round' style='font-weight:bold;font-size: 12px;' value='.' TYPE='TEXT' ID='observa' SIZE='69'>

                  <input type='button' class='button small green' name='btngrabar' onclick='Grabar_todo();' value=' Grabar '>
                  </td>";
         
                  //<img id='elemento1' src='imagenes/diskette.jpg' onClick='grabar_observacion()' height='20' width='20' alt='Grabar' title='Grabar'>
                  //<input id='CHE_observa' type='checkbox' onclick='this.checked=!this.checked'>

        $cadena.="</table>";
        $cadena.="</center>";

    echo $cadena;
 
     $obj->disconnect();           
}


//-----------------------------------------------------------

if ($_POST['accion']=='grabar_observacion'){

   $obj = new database();
   $obj->conectar();
   $obj->consulta("set names 'utf8'");
    
   $codigo = $_POST['codigo'];
   $folio = $_POST['folio'];  
   $imagen = $_POST['imagen'];
 
   $rector = $_POST['rector'];  
   $secretaria = $_POST['secretaria'];  
       
   $anolectivo=$_POST['anolectivo'];
   $grado=$_POST['grado'];
   $curso=$_POST['curso'];
   $observa=$_POST['observa'];   
   
   $query = $obj->consulta("SELECT * FROM notas_alumno WHERE alumno='".$codigo."' AND anolectivo=".$anolectivo." AND grado='".$grado."' AND curso='".$curso."'");
   $val = $obj->fetch_assoc($query);
   
   $n=$obj->numero_de_filas($query); // obtenemos el numero de filas

   if ($n==1){   
        
      $obj->consulta("update notas_alumno set observacion='".$observa."' where registro=".$val['registro']);     

   }
   else {

        //--------------------------------------------------------------------------
        $numeros=$obj->consulta("select noregistro from consecutivo");
        $row = $obj->fetch_assoc($numeros);
        $registro=$row['noregistro'];
   
        $obj->consulta("update consecutivo set noregistro='".($registro+1)."'");
        //--------------------------------------------------------------------------

         $obj->consulta("insert into notas_alumno values ('".$codigo."',".$anolectivo.",'".$grado."','".$curso."','".$folio."','".$imagen."','".$observa."','".$rector."','".$secretaria."',".$registro.")");         
   }

   $obj->disconnect(); 
   
}


//-----------------------------------------------------------

if ($_POST['accion']=='grabar_notas'){

   $obj = new database();
   $obj->conectar();
   $obj->consulta("set names 'utf8'");
    
   $codigo = $_POST['codigo'];
   $folio = $_POST['folio'];  
   $imagen = $_POST['imagen'];
   $observa = $_POST['observa'];
 
   $rector = $_POST['rector'];  
   $secretaria = $_POST['secretaria'];  
       
   $anolectivo=$_POST['anolectivo'];
   $grado=$_POST['grado'];
   $curso=$_POST['curso'];
   $notas=explode("/",$_POST['notas']);

         $img_alum=$obj->consulta("SELECT imagen FROM notas_alumno WHERE  imagen ='".$imagen."'");
         $img_asign=$obj->consulta("SELECT imagen FROM  notas_asignatura WHERE  imagen ='".$imagen."'");
   
         $x=$obj->numero_de_filas($img_alum);
         $y=$obj->numero_de_filas($img_asign);
   
         if ($x==0 && $y==0){ //++++++++++++
 
            //--------------------------------------------------------------------------
            $numeros=$obj->consulta("select noregistro from consecutivo");
            $row = $obj->fetch_assoc($numeros);
            $registro=$row['noregistro'];
   
            $obj->consulta("update consecutivo set noregistro='".($registro+1)."'");
            //--------------------------------------------------------------------------

             $obj->consulta("insert into notas_alumno values ('".$codigo."',".$anolectivo.",'".$grado."','".$curso."','".$folio."','".$imagen."','".$observa."','".$rector."','".$secretaria."',".$registro.")");
            
             $cadena="";         
            
             for ($x=0;$x<count($notas)-1;$x++){
                  
                  $asign=explode("_",$notas[$x]);
                  
                  $nom_asign=$obj->consulta("SELECT * FROM asignaturas_cursos WHERE anolectivo=".$anolectivo." AND grado='".$grado."' AND curso='".$curso."' and asignatura='".$asign[0]."'");
                  $row = $obj->fetch_assoc($nom_asign);
                  
                  $obj->consulta("insert into notas_alumno_detalle values (".$registro.",'".$asign[0]."','".$row['nombre_asignatura']."','".$asign[1]."','".$asign[2]."',".($x+1).")");       
             }
         
            
         }
          
         else
              echo "YA EXISTE IMAGEN";

          
   $obj->disconnect(); 
   
}

//-----------------------------------------------------------

if ($_POST['accion']=='actualizar_notas'){

   $obj = new database();
   $obj->conectar();
   $obj->consulta("set names 'utf8'");
    
   $codigo = $_POST['codigo'];
   $anolectivo=$_POST['anolectivo'];
  
   $rector = $_POST['rector'];  
   $secretaria = $_POST['secretaria'];  
 
  
   $folio = $_POST['folio'];
   $imagen = $_POST['imagen'];
       
   $grado=$_POST['grado'];
   $curso=$_POST['curso'];
   $cod_asign=$_POST['cod_asign'];
   $nota=$_POST['nota'];
   $valoracion=$_POST['valoracion'];

   $query = $obj->consulta("SELECT * FROM notas_alumno WHERE alumno='".$codigo."' AND anolectivo=".$anolectivo." AND grado='".$grado."' AND curso='".$curso."'");
   $val = $obj->fetch_assoc($query);
   
   $n=$obj->numero_de_filas($query); // obtenemos el numero de filas

   if ($n>=1){  

      $obj->consulta("update notas_alumno set folio='".$folio."',imagen='".$imagen."',rector='".$rector."',secretaria='".$secretaria."' where registro=".$val['registro']);     
      $obj->consulta("UPDATE notas_alumno_detalle SET definitiva='".$nota."',valoracion='".$valoracion."' WHERE registro=".$val['registro']." AND asignatura='".$cod_asign."'");

      //-----------------------------------------------------------------
        
      $img_alum=$obj->consulta("SELECT imagen FROM  notas_alumno WHERE imagen ='".$imagen."'");
      $img_asign=$obj->consulta("SELECT imagen FROM  notas_asignatura WHERE imagen ='".$imagen."'");
   
      $x=$obj->numero_de_filas($img_alum);
      $y=$obj->numero_de_filas($img_asign);
   
      if (($x!=0) || ($y!=0)){ //++++++++++++
          echo "YA EXISTE IMAGEN";
      }
      //-----------------------------------------------------------------
   }

   $obj->disconnect(); 
          
}

//-----------------------------------------------------------

if ($_POST['accion']=='eliminar_notas'){

   $obj = new database();
   $obj->conectar();
   $obj->consulta("set names 'utf8'");
    
   $codigo = $_POST['codigo'];
   $anolectivo=$_POST['anolectivo'];
   $grado=$_POST['grado'];
   $curso=$_POST['curso'];
   $cod_asign=$_POST['cod_asign'];

   $query = $obj->consulta("SELECT * FROM notas_alumno WHERE alumno='".$codigo."' AND anolectivo=".$anolectivo." AND grado='".$grado."' AND curso='".$curso."'");
   $val = $obj->fetch_assoc($query);
   
   $n=$obj->numero_de_filas($query); // obtenemos el numero de filas

   if ($n>=1){  

      $obj->consulta("DELETE FROM notas_alumno_detalle WHERE registro=".$val['registro']." AND asignatura='".$cod_asign."'");

   }

   $obj->disconnect(); 
          
}

//-----------------------------------------------------------

if ($_POST['accion']=='actualizar_asigaturas'){

        $obj = new database();
        $obj->conectar();
        $obj->consulta("set names 'utf8'");
    
        $codigo=$_REQUEST['codigo'];
        $anolectivo=$_REQUEST['anolectivo'];
        $grado=$_REQUEST['grado'];
        $curso=$_REQUEST['curso'];

        $query=$obj->consulta("SELECT * FROM notas_alumno WHERE alumno=".$codigo." AND anolectivo=".$anolectivo." AND grado='".$grado."' AND curso='".$curso."'");
        $row0 = $obj->fetch_assoc($query);
        
        $n=$obj->numero_de_filas($query);
         
        if ($n>0){
                
        $cadena="<center><br><table border='1' cellspacing='0' cellpadding='0' class='hovertable' width='90%'>";
                
        $cadena.="<tr style='font-size: 12px;' align='center'>";
        $cadena.="<td><b>No.</b></td>";
        $cadena.="<td><b>CODIGO</b></td>";
        $cadena.="<td><b>ASIGNATURA</b></td>";
        $cadena.="<td><b>NOTA</b></td>";        
        $cadena.="<td><b>VALORACION</b></td>";
        $cadena.="<td colspan='2'><b>ACTUALIZAR</b></td>";
        $cadena.="<td><b>ELIMINAR</b></td>";                
        $cadena.="</tr>";

        $query1=$obj->consulta("SELECT * FROM notas_alumno_detalle WHERE registro=".$row0['registro']." ORDER BY orden");
      
        $i=1;
        while($row = $obj->fetch_assoc($query1)){

              $cadena.="<tr>";
              $cadena.="<td align=center style='font-size: 12px;'><b>".$i++."</b></td>";
              $cadena.="<td align=center width='20%' style='font-size: 12px;'><b>".$row['asignatura']."</b></td>";
              $cadena.="<td width=50%' style='font-size: 12px;'><b>".$row['nombre_asignatura']."</b></td>";
              
              $cadena.="<td align=center ><INPUT  class='round' style='font-weight:bold;font-size: 12px;text-align:center;' VALUE='".$row['definitiva']."' TYPE='TEXT' ID='DEF_".$row['asignatura']."' SIZE='2' onclick=\"abrir_dialog('DEF_".$row['asignatura']."');\" onblur=\"nivel_desempeno('".$row['asignatura']."');\"></td>";              
              $cadena.="<td align=center width='20%'><INPUT  style='font-weight:bold;font-size: 12px;text-align:center;' class='round' value=".$row['valoracion']." TYPE='TEXT' ID='NOTA_".$row['asignatura']."' SIZE='7' onclick=\"abrir_dialog('NOTA_".$row['asignatura']."');\"></td>";
             
              $cadena.="<td width='5%' align='center'> <img id='elemento1' src='imagenes/diskette.jpg' onClick='grabar_notas_alumno(\"".$row['asignatura']."\",2,0)' height='20' width='20' alt='Grabar' title='Grabar'></td>";
              $cadena.="<td width='5%' align='center'><input id='CHE_".$row['asignatura']."' type='checkbox' onclick='this.checked=!this.checked'></td>";
              $cadena.="<td align='center'> <img id='elem1'  class='confirmar' src='imagenes/foto1.jpg' onClick='eliminar_nota(\"".$row['asignatura']."\");' height='20' width='20'   title='Elimar'></td>";

              $cadena.="</tr>"; 
        }

        //------ Observacion -----------
        
        
        $cadena.="<tr><td  style='font-weight:bold;font-size:12px' colspan='8'>
                  <b>Observaci&oacute;n</b>
                  <INPUT  class='round' style='font-weight:bold;font-size: 12px;' value='".$row0['observacion']."' TYPE='TEXT' ID='observa' SIZE='72'>
                  <img id='elemento1' src='imagenes/diskette.jpg' onClick='grabar_observacion()' height='20' width='20' alt='Grabar' title='Grabar'>
                  <input id='CHE_observa' type='checkbox' onclick='this.checked=!this.checked'></td></tr>";
         

        $cadena.="</table>";
        $cadena.="</center>";

    }
    else{
       $cadena="<br><br><br><br><br><br><br><B>NO EXISTEN REGISTROS<B>";
    }

    echo $cadena;
    
    $obj->disconnect();           
}


//-----------------------------------------------------------

if ($_POST['accion']=='buscar_alumno'){

        $obj = new database();
        $obj->conectar();
        $obj->consulta("set names 'utf8'");
    
        $p_a=$_REQUEST['p_a'];
        $s_a=$_REQUEST['s_a'];
        $p_n=$_REQUEST['p_n'];
        $s_n=$_REQUEST['s_n'];

        $anolectivo=$_REQUEST['anolectivo'];
        $grado=$_REQUEST['grado'];
        $curso=$_REQUEST['curso'];

        $query=$obj->consulta("SELECT * FROM alumnos_cursos WHERE p_apellido LIKE '%".$p_a."%' and s_apellido LIKE '%".$s_a."%' and p_nombre LIKE '%".$p_n."%' and s_nombre LIKE '%".$s_n."%' and anolectivo =".$anolectivo." 
                               and grado='".$grado."' and curso='".$curso."' order by orden"); 
                
        $cadena="<center><table class='alumno' bgcolor='#E6E6E6' border='1' cellspacing='0' cellpadding='0' width='100%'>";
                
        $cadena.="<tr align='center' style='font-size: 10px;'>";       
        $cadena.="<th colspan='2'>CODIGO</th>";
        $cadena.="<th>P_APELLIDO</th>";
        $cadena.="<th>S_APELLIDO</th>";
        $cadena.="<th>P_NOMBRE</th>";
        $cadena.="<th>S_NOMBRE</th>";
                
        $cadena.="</tr>";

        while($row = $obj->fetch_assoc($query)){

              $cadena.="<tr>";
              
              $cadena.="<td align='center'> <img id='elem1'  onClick='seleccionar_alumno(\"".$row['codigo']."\",\"".$row['p_apellido']."\",\"".$row['s_apellido']."\",\"".$row['p_nombre']."\",\"".$row['s_nombre']."\");'  class='confirmar' src='imagenes/boton.png' height='20' width='30' alt='Seleccionar' title='Seleccionar'></td>";
              $cadena.="<td align=center width='10%' style='font-size: 10px;'><b>".$row['codigo']."</b></td>";
              $cadena.="<td align=center width='20%' style='font-size: 10px;'><b>".resaltar($p_a, $row['p_apellido'])."</b></td>";
              
              $cadena.="<td align=center width='20%' style='font-size: 10px;'><b>".resaltar($s_a, $row['s_apellido'])."</b></td>";
              $cadena.="<td align=center width='20%' style='font-size: 10px;'><b>".resaltar($p_n, $row['p_nombre'])."</b></td>";                            
              $cadena.="<td align=center width='20%' style='font-size: 10px;'><b>".resaltar($s_n, $row['s_nombre'])."</b></td>"; 
              
              $cadena.="</tr>"; 
        }

        $cadena.="</table>";
        $cadena.="</center>";

    echo $cadena;
    
    $obj->disconnect();           
}

//------------------------------------

if ($_POST['accion']=='mostrar_folios_ingresados'){

    $anolectivo=$_POST['anolectivo'];
    $grado=$_POST['grado'];
    $curso=$_POST['curso']; 

    $obj = new database();
    $obj->conectar();
    $obj->consulta("set names 'utf8'");
   
  
    $query=$obj->consulta("SELECT * FROM notas_alumno WHERE anolectivo=".$anolectivo." and grado='".$grado."' and curso='".$curso."' order by registro");

  
    $cadena="<table class='hovertable1' border='0' cellspacing='0' cellpadding='0' width='100%'>
              <tr><td style='font-weight:bold;text-align:center;' colspan='4'>FOLIOS INGRESADOS</td></tr> 
              <tr><td style='background-color:#A9F5A9;font-weight:bold;text-align:center;' colspan='4'>
                      A&Ntilde;O LECTIVO: ".$anolectivo." &nbsp;&nbsp; &nbsp;&nbsp; &nbsp;&nbsp; GRADO: ".$grado."&nbsp;&nbsp;&nbsp;&nbsp;  &nbsp;&nbsp;   CURSO: ".$curso."
                      </td>
                      </tr>           
    
             <tr><td colspan='4'>.</td></tr> 
             <tr style='font-weight:bold;text-align:center;'>
             <td>ALUMNO</td>
             <td>APELLIDOS Y NOMBRES</td>
             <td>FOLIO</td>
             <td>IMAGEN</td>            
             </tr>";
   
    $i=1;  
    while($row = mysql_fetch_array($query)) {
     
      $alumnos=$obj->consulta("select p_apellido,s_apellido,p_nombre,s_nombre from alumnos_cursos WHERE anolectivo=".$anolectivo." and grado='".$grado."' and curso='".$curso."' and codigo='".$row['alumno']."'");
      $row1 = mysql_fetch_array($alumnos);
      
      $cadena.="<tr>
                <td align='center'>".$row['alumno']."</td>
                <td>".($row1['p_apellido'])." ".($row1['s_apellido'])." ".($row1['p_nombre'])." ".($row1['s_nombre'])."</td>
                <td align='center'>".$row['folio']."</td>
                <td align='center'>".$row['imagen']."</td>                

                </tr>";
                $i++;
    }
    $cadena.="</table>";
  
    echo $cadena;

    $obj->disconnect();  

}


?>
