<?php

require_once ('../app/model/db.class.php');
require_once('../dompdf/dompdf_config.inc.php');
require_once ('../dompdf/www/functions.inc.php');
require_once '../app/model/rangos.php';

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".0";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

function nombremes($mes){
date_default_timezone_set("America/Bogota");
$nombre=strftime("%B",mktime(0, 0, 0, $mes, 1, 2000));
return $nombre;
}


$obj = new database();
$obj->conectar();


$query=$obj->consulta("select * from registrar;");
$row=$obj->fetch_assoc($query);

$html="<html>
<head>
<title>Certificado Final</title>

<style type='text/css'>
  
       .normal {
          border: 1px solid #000;
          border-collapse: collapse;
        }
        .normal th, .normal td {
          border: 1px solid #000;
        }
        
        .ecabezado{
        text-align:center;
        }
</style>

</head>

<body>";

$html.="<table width='90%' border='0' align='center'>";
$html.="<tr>
          <td rowspan='5'><img src='../imagenes/escudo_colombia.jpg' width='65' height='75'></td>
          <td style='font-size: 13px; text-align:center;'><b>".$row['encabezado1']."</b></td>
          <td align='right'rowspan='5'><img src='../imagenes/escudo.jpg' width='65' height='70'></td>
        </tr>
        <tr><td style='font-size: 13px; text-align:center;'><b>".$row['encabezado']."</b></td></tr>        
        <tr><td style='font-size: 12px; text-align:center;'><b>".$row['institucion']."</b></td></tr>
        <tr><td style='font-size: 12px; text-align:center;'>".$row['municipio']."</td></tr>";
                              

$html.="</table><br>";


//------------------------------------------------------------------------------
        
$html.="<table width='90%' align='center'  border='0'>";

$html.="<tr>";
                   
$html.="<td style='font-size: 13px; width: 225px;' >REGISTRO EDUCATIVO  :".$row['registroeducativo']."</td>";
$html.="<td style='font-size: 13px; text-align:right;'>C&Oacute;DIGO DANE : ".$row['codigodane']." </td></tr>";
$html.="</table>"; 

$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify'>".($row['certificadofinal'])."</td></tr>";
$html.="</table>";


    
$html.="<br><br><table width='70%' border='0' align='center'>";
$html.="<tr><td style='font-size: 16px; text-align:center;'><b>CERTIFICAN</b></td></tr>";
$html.="</table><br>";

$leyenda=$obj->consulta("select * from constancia");
$row7 = $obj->fetch_assoc($leyenda);

//------------------------------------------------------------------------------

$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify;'>".utf8_decode($row7['leyenda'])."</td></tr>";
$html.="</table><br>";


//------------------------------------------------------------------------------

 if (!isset($_SESSION)) { session_start(); }

$notas=$obj->consulta("select * from certificado_final order by orden");

$html.="<table width='90%' border='1' cellspacing=0 cellpadding=2 bordercolor='666633' align='center'>";
   
$html.="<tr>
           <th style='font-size: 13px; width: 344px;'>AREAS Y/O ASIGNATURAS</th>
           <th style='font-size: 13px; width: 56px;'>I.H</th>
           <th style='font-size: 13px; width: 100px;'>VALORACION</th>
        </tr>";




   if ($_SESSION['ANOLECTIVO']>=2007 and  $_SESSION['ANOLECTIVO']<=2009){
   
       $resul_area=$obj->consulta("SELECT asignaturas_cursos.area, areas.descripcion
                                   FROM areas INNER JOIN asignaturas_cursos ON  (areas.anolectivo = asignaturas_cursos.anolectivo) AND (areas.codigo = asignaturas_cursos.area)
                                   GROUP BY asignaturas_cursos.area, areas.descripcion, asignaturas_cursos.anolectivo, asignaturas_cursos.grado, asignaturas_cursos.curso, areas.orden
                                   HAVING asignaturas_cursos.anolectivo=".$_SESSION['ANOLECTIVO']." AND asignaturas_cursos.grado='".$_SESSION['GRADO']."' AND asignaturas_cursos.curso='".$_SESSION['CURSO']."' ORDER BY areas.orden");
  
         $s="";
  
        while($row0 = $obj->fetch_assoc($resul_area)){  //  ---  AREAS  --

            $s.="<tr>";

             $s.="<td style='font-weight:bold;font-size:10px' width='60%'>".($row0['descripcion'])."</td>";


             /* ---Intensidad horaria por Areas  - sumamos la de las asignaturas  */

             $resul_total=$obj->consulta("SELECT Sum(i_h) AS total FROM asignaturas_cursos WHERE area='".$row0['area']."' AND anolectivo=".$_SESSION['ANOLECTIVO']." AND grado='".$_SESSION['GRADO']."' AND curso='".$_SESSION['CURSO']."'");

             $row5 = $obj->fetch_assoc($resul_total);

             $s.="<td style='font-weight:bold;text-align:center;font-size: 10px' >".$row5['total']."</td>";


             //-----------------------------------------------------

              $df=$obj->consulta("SELECT asignaturas_cursos.area, notas_alumno_detalle.asignatura, notas_alumno_detalle.nombre_asignatura, asignaturas_cursos.i_h, 
                                  notas_alumno_detalle.valoracion FROM (asignaturas_cursos INNER JOIN notas_alumno ON (asignaturas_cursos.curso = notas_alumno.curso) 
                                  AND (asignaturas_cursos.grado = notas_alumno.grado) AND (asignaturas_cursos.anolectivo = notas_alumno.anolectivo)) 
                                  INNER JOIN notas_alumno_detalle ON (asignaturas_cursos.asignatura = notas_alumno_detalle.asignatura) AND (notas_alumno.registro = notas_alumno_detalle.registro)
                                  WHERE asignaturas_cursos.area='".$row0['area']."' AND asignaturas_cursos.anolectivo=".$_SESSION['ANOLECTIVO']." AND asignaturas_cursos.grado='".$_SESSION['GRADO']."' AND asignaturas_cursos.curso='".$_SESSION['CURSO']."' AND notas_alumno.alumno='".$_SESSION['COD_ALUMNO']."'");

               $n_asign= $obj->numero_de_filas($df);


                if ($n_asign==1){
                
                    $row6 = $obj->fetch_assoc($df);
                    $s.="<td style='font-weight:bold;font-size:10px;text-align:center' >".$row6['valoracion']."</td></tr>";               
                }
                else{
                     $suma_valoracion=0;
                     $s1="";
                     
                     while($row6 = $obj->fetch_assoc($df)){  
                
                           if ($row6['valoracion']=='DEFICIENTE') 
                               $suma_valoracion=$suma_valoracion+1;
                           if ($row6['valoracion']=='INSUFICIENTE') 
                               $suma_valoracion=$suma_valoracion+2;
                           if ($row6['valoracion']=='ACEPTABLE') 
                               $suma_valoracion=$suma_valoracion+3;
                           if ($row6['valoracion']=='SOBRESALIENTE') 
                               $suma_valoracion=$suma_valoracion+4;
                           if ($row6['valoracion']=='EXCELENTE') 
                               $suma_valoracion=$suma_valoracion+5;  
                               
                              $s1.="<tr>";
                              $s1.="<td style='font-weight:bold;font-size:10px' width='40%'><font color='white'>_____</font><i>".($row6['nombre_asignatura'])."</i></td>";
                              $s1.="<td style='font-weight:bold;text-align:center;font-size:11px' >".$row6['i_h']."</td>";
                              $s1.="<td style='font-size:10px' align='center'><i> ".$row6['valoracion']."</i></td>";
                              $s1.="</tr>";                                                                                                                          
                
                     }
                     
                     $promedio= $suma_valoracion/$n_asign;
                     $s.="<td style='font-weight:bold;font-size:10px;text-align:center' >".calculardef($promedio)."</td></tr>";
                     $s.=$s1;
                }

                
               
              }
              $html.=$s;
   }






   elseif ($_SESSION['ANOLECTIVO']>=2010 and  $_SESSION['ANOLECTIVO']<=2012){
   

       $resul_area=$obj->consulta("SELECT asignaturas_cursos.area, areas.descripcion
                                   FROM areas INNER JOIN asignaturas_cursos ON  (areas.anolectivo = asignaturas_cursos.anolectivo) AND (areas.codigo = asignaturas_cursos.area)
                                   GROUP BY asignaturas_cursos.area, areas.descripcion, asignaturas_cursos.anolectivo, asignaturas_cursos.grado, asignaturas_cursos.curso, areas.orden
                                   HAVING asignaturas_cursos.anolectivo=".$_SESSION['ANOLECTIVO']." AND asignaturas_cursos.grado='".$_SESSION['GRADO']."' AND asignaturas_cursos.curso='".$_SESSION['CURSO']."' ORDER BY areas.orden");
  
         $s="";
  
        while($row0 = $obj->fetch_assoc($resul_area)){  //  ---  AREAS  --

            $s.="<tr>";

             $s.="<td style='font-weight:bold;font-size:12px' width='60%'>".($row0['descripcion'])."</td>";


             /* ---Intensidad horaria por Areas  - sumamos la de las asignaturas  */

             $resul_total=$obj->consulta("SELECT Sum(i_h) AS total FROM asignaturas_cursos WHERE area='".$row0['area']."' AND anolectivo=".$_SESSION['ANOLECTIVO']." AND grado='".$_SESSION['GRADO']."' AND curso='".$_SESSION['CURSO']."'");

             $row5 = $obj->fetch_assoc($resul_total);

             $s.="<td style='font-weight:bold;text-align:center;font-size: 12px' >".$row5['total']."</td>";


             //-----------------------------------------------------

              $df=$obj->consulta("SELECT asignaturas_cursos.area, notas_alumno_detalle.asignatura, notas_alumno_detalle.nombre_asignatura, asignaturas_cursos.i_h, 
                                  notas_alumno_detalle.definitiva,notas_alumno_detalle.valoracion FROM (asignaturas_cursos INNER JOIN notas_alumno ON (asignaturas_cursos.curso = notas_alumno.curso) 
                                  AND (asignaturas_cursos.grado = notas_alumno.grado) AND (asignaturas_cursos.anolectivo = notas_alumno.anolectivo)) 
                                  INNER JOIN notas_alumno_detalle ON (asignaturas_cursos.asignatura = notas_alumno_detalle.asignatura) AND (notas_alumno.registro = notas_alumno_detalle.registro)
                                  WHERE asignaturas_cursos.area='".$row0['area']."' AND asignaturas_cursos.anolectivo=".$_SESSION['ANOLECTIVO']." AND asignaturas_cursos.grado='".$_SESSION['GRADO']."' AND asignaturas_cursos.curso='".$_SESSION['CURSO']."' AND notas_alumno.alumno='".$_SESSION['COD_ALUMNO']."'");

               $n_asign= $obj->numero_de_filas($df);


                if ($n_asign==1){
                
                    $row6 = $obj->fetch_assoc($df);
                    $s.="<td style='font-weight:bold;font-size:12px;text-align:center' >".decimales($row6['definitiva'])." - ".$row6['valoracion']."</td></tr>";               
                }
                else{
                     $suma_valoracion=0;
                     $s1="";
                     
                     while($row6 = $obj->fetch_assoc($df)){  
                
                              $suma_valoracion=$suma_valoracion+$row6['definitiva'];

                              $s1.="<tr>";
                              $s1.="<td style='font-weight:bold;font-size:10px' width='40%'><font color='white'>_____</font><i>".($row6['nombre_asignatura'])."</i></td>";
                              $s1.="<td style='font-weight:bold;text-align:center;font-size:11px' >".$row6['i_h']."</td>";
                              $s1.="<td style='font-size:10px' align='center'><i> ".$row6['definitiva']." - ".$row6['valoracion']."</i></td>";
                              $s1.="</tr>";                                                                                                                          
                
                     }
                     
                     $promedio= $suma_valoracion/$n_asign;
                     $s.="<td style='font-weight:bold;font-size:12px;text-align:center' >".decimales($promedio)." - ".calculardef($promedio)."</td></tr>";
                     $s.=$s1;
                }

                
               
              }
              $html.=$s;





   
   
   }
   else{
 
       while($row_n = $obj->fetch_assoc($notas)){  
          $html.="<tr>";        
          $html.="<td style='font-size: 13px; width: 344px; text-align:justify;'>".($row_n['nombre_asignatura'])."</td>";
          $html.="<td style='font-size: 13px; width: 56px; text-align:center;'>".($row_n['i_h'])."</td>";           
          $html.="<td style='font-size: 13px; text-align:center;'>".($row_n['nivel'])."</td>";
          $html.="</tr>";
       }
      
   }
        
$html.="</table>";  


$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 12px; text-align:justify;'>".($row7['observacion'])."</td></tr>";
$html.="</table>";



$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","Sábado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");


$html.="

<table  width='90%'  align='center' id='font'>
    <tr>
        <td style='font-size:14px'>
            El presente certificado no necesita de autenticaci&oacute;n en Notar&iacute;a alguna ni VoBo del Delegado
            de MEN, en virtud de los decretos 1024/82 y 1789/88, respectivamente.
            
             <br><br>
             Dado en Paujil - Caquet&aacute;, el d&iacute;a ". $dias[date('w')]." ".date('d')." de ".$meses[date('n')-1]. " del ".date('Y') .".
        </td>
    </tr>

</table>

<br>";

if ($_SESSION['GRADO']<=9){
    $html.="<br><br>";
}


//------------------------------------------------------------------------------------------------

$html.="<br><br>
    <table width='85%' border='0' align='center'>";
$html.="<tr><td><hr width='90%'></td>    <td><hr width='90%'></td></tr>";

$html.="<tr><td style='font-size: 12px; text-align:center;'><b>".$row['rector']."</b></td>     
            <td style='font-size: 12px; text-align:center;'><b>LIC. EUGENIA CEBALLOS JAINE</b></td></tr>";

$html.="<tr><td style='font-size: 12px; text-align:center;'>".$row['cedula_rector']."</td>     
            <td style='font-size: 12px; text-align:center;'>C.C.40.085.008 El Paujil - Caquetá</td></tr>";

$html.="<tr><td style='font-size: 11px; text-align:center;'>RECTOR</td>     
            <td style='font-size: 11px; text-align:center;'>SECRETARIA</td></tr>";

$html.="</table><br>";  



$html.="</body>
</html>";


$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
$dompdf->render();

$dompdf->stream($codigo.".pdf", array("Attachment" => false));

$obj->disconnect();
?>
