<?php

require_once ('../app/model/db.class.php');
require_once('../dompdf/dompdf_config.inc.php');
require_once ('../dompdf/www/functions.inc.php');

function decimales($nota){

     if (strlen($nota)==1) {
         $nota=$nota.".0";
     }

     if (strlen($nota)>3) {
         $nota=substr($nota ,0,3);
     }

    return $nota;

}

function nombremes($mes){
date_default_timezone_set("America/Bogota");
$nombre=strftime("%B",mktime(0, 0, 0, $mes, 1, 2000));
return $nombre;
}


$obj = new database();
$obj->conectar();


$query=$obj->consulta("select * from registrar;");
$row=$obj->fetch_assoc($query);

$html="<html>
<head>
<title>Certificado Final</title>

<style type='text/css'>
  
       .normal {
          border: 1px solid #000;
          border-collapse: collapse;
        }
        .normal th, .normal td {
          border: 1px solid #000;
        }
        
        .ecabezado{
        text-align:center;
        }
</style>

</head>

<body>";

$html.="<table width='90%' border='0' align='center'>";
$html.="<tr>
          <td rowspan='5'><img src='../imagenes/escudo.jpg' width='65' height='65'></td>
          <td style='font-size: 13px; text-align:center;'><b>".$row['encabezado1']."</b></td>
          <td rowspan='5'><img src='../imagenes/bandera.jpg' width='65' height='50'></td>
        </tr>
        <tr><td style='font-size: 13px; text-align:center;'><b>".$row['encabezado']."</b></td></tr>        
        <tr><td style='font-size: 13px; text-align:center;'><b>I T E S C O</b></td></tr>
        <tr><td style='font-size: 13px; text-align:center;'><b>".$row['institucion']."</b></td></tr>
        <tr><td style='font-size: 12px; text-align:center;'>".$row['municipio']."</td></tr>";
                              

$html.="</table><br>";


//------------------------------------------------------------------------------
        
$html.="<table width='90%' align='center'  border='0'>";
$html.="<tr><td style='font-size: 13px;'>Certificado No.  ".$row['no_certificado']."</td></tr>";
$html.="</table>";                      
       
        
$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; width: 225px;' >R.E  :".$row['registroeducativo']."</td>";
$html.="<td style='font-size: 13px; text-align:right;'>C&oacute;digo DANE : ".$row['codigodane']." </td></tr>";
$html.="</table><br>"; 

$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify'>".($row['certificadofinal'])."</td></tr>";
$html.="</table><br>";

    
$html.="<table width='70%' border='0' align='center'>";
$html.="<tr><td style='font-size: 16px; text-align:center;'><b>CERTIFICAN</b></td></tr>";
$html.="</table><br>";

$leyenda=$obj->consulta("select * from constancia");
$row6 = $obj->fetch_assoc($leyenda);

//------------------------------------------------------------------------------

$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify;'>".utf8_decode($row6['leyenda'])."</td></tr>";
$html.="</table><br>";


//------------------------------------------------------------------------------

$notas=$obj->consulta("select * from certificado_final order by orden");

$html.="<table width='90%' border='1' cellspacing=0 cellpadding=2 bordercolor='666633' align='center'>";
   
$html.="<tr>
           <th style='font-size: 13px; width: 344px;'>AREAS Y/O ASIGNATURAS</th>
           <th style='font-size: 13px; width: 56px;'>I.H</th>
           <th style='font-size: 13px; width: 100px;'>VALORACION</th>
        </tr>";

 
    while($row_n = $obj->fetch_assoc($notas)){  
          $html.="<tr>";        
          $html.="<td style='font-size: 13px; width: 344px; text-align:justify;'>".($row_n['nombre_asignatura'])."</td>";
          $html.="<td style='font-size: 13px; width: 56px; text-align:center;'>".($row_n['i_h'])."</td>";           
          $html.="<td style='font-size: 13px; text-align:center;'>".($row_n['nivel'])."</td>";
          $html.="</tr>";
    }
        
$html.="</table>";  


$html.="<table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify;'>".utf8_decode($row6['observacion'])."</td></tr>";
$html.="</table>";



$html.="<br>
    <table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify;'>".utf8_decode("El presente certificado no requiere de autenticación según Decreto 1024 de 1.982, ni ser visado por el Delegado del MEN (FER), en virtud del Decreto 1789 de 1.988.")."</td></tr>";
$html.="</table>";


$dias = array("Domingo","Lunes","Martes","Miercoles","Jueves","Viernes","Sábado");
$meses = array("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");


$html.="
    <table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify;'>Dado en ".$row['municipio']." a los ".date('d')." d&iacute;as del mes de ".$meses[date('n')-1]." de ".date('Y').".</td></tr>";
$html.="</table><br>";

/*
if ($row1['grado']<10){
    $html.="<br>";
}
*/
 
        
$html.="
    <table width='90%' border='0' align='center'>";
$html.="<tr><td style='font-size: 13px; text-align:justify;'>En constancia firma,</td></tr>";
$html.="</table><br><br>";         

/*
if ($row1['grado']<10){
    $html.="<br>";
}
*/

//------------------------------------------------------------------------------------------------

$html.="
    <table width='85%' border='0' align='center'>";
$html.="<tr><td><hr width='90%'></td>    <td><hr width='90%'></td></tr>";

$html.="<tr><td style='font-size: 12px; text-align:center;'><b>".$row['rector']."</b></td>     
            <td style='font-size: 12px; text-align:center;'><b>".$row['secretario']."</b></td></tr>";

$html.="<tr><td style='font-size: 12px; text-align:center;'>".$row['cedula_rector']."</td>     
            <td style='font-size: 12px; text-align:center;'>".$row['cedula_secretario']."</td></tr>";

$html.="<tr><td style='font-size: 11px; text-align:center;'>RECTOR</td>     
            <td style='font-size: 11px; text-align:center;'>SECRETARIA</td></tr>";

$html.="</table><br>";  



$html.="</body>
</html>";


$dompdf = new DOMPDF();     
$dompdf->load_html($html);
$dompdf->set_paper('a4', 'portrait');
$dompdf->render();

$dompdf->stream($codigo.".pdf", array("Attachment" => false));

$obj->disconnect();
?>
